Manifest-Version: 1.0
Bnd-LastModified: 1754080734144
Bundle-ManifestVersion: 2
Bundle-Name: Liferay SAML Implementation
Bundle-SymbolicName: com.liferay.saml.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.41.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.petra.function;version="1.5",com.liferay.p
 etra.string;version="1.7",com.liferay.portal.configuration.metatype.b
 nd.util;version="3.0",com.liferay.portal.kernel.configuration;version
 ="7.0",com.liferay.portal.kernel.cookies;version="3.1",com.liferay.po
 rtal.kernel.events;version="6.3",com.liferay.portal.kernel.exception;
 version="13.3",com.liferay.portal.kernel.log;version="8.0",com.lifera
 y.portal.kernel.model;version="30.4",com.liferay.portal.kernel.schedu
 ler;version="18.1",com.liferay.portal.kernel.security.auth;version="6
 .1",com.liferay.portal.kernel.security.auto.login;version="2.0",com.l
 iferay.portal.kernel.security.sso;version="1.0",com.liferay.portal.ke
 rnel.service;version="25.1",com.liferay.portal.kernel.servlet;version
 ="12.1",com.liferay.portal.kernel.struts;version="8.0",com.liferay.po
 rtal.kernel.upgrade;version="21.2",com.liferay.portal.kernel.util;ver
 sion="63.0",com.liferay.portal.upgrade.registry;version="5.0",com.lif
 eray.saml.helper;version="1.0",com.liferay.saml.persistence.model;ver
 sion="4.1",com.liferay.saml.persistence.service;version="5.3",com.lif
 eray.saml.runtime.configuration;version="5.1",com.liferay.saml.runtim
 e.servlet.profile;version="1.0",javax.persistence;version="2.2",javax
 .portlet,javax.servlet,javax.servlet.http,org.hibernate;version="5.6"
 ,org.osgi.framework;version="1.8",org.osgi.service.cm;version="1.6"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Connector to SAML 2.0
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Security
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: false
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.saml.internal.auto.login,com.liferay.saml
 .internal.configuration,com.liferay.saml.internal.constants,com.lifer
 ay.saml.internal.events,com.liferay.saml.internal.scheduler,com.lifer
 ay.saml.internal.security.sso,com.liferay.saml.internal.servlet.filte
 r,com.liferay.saml.internal.upgrade.registry,com.liferay.saml.interna
 l.upgrade.v1_0_0
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.events.LifecycleAction";uses:="com.liferay.portal.kern
 el.events",osgi.service;objectClass:List<String>="com.liferay.portal.
 kernel.scheduler.SchedulerJobConfiguration";uses:="com.liferay.portal
 .kernel.scheduler",osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.security.auto.login.AutoLogin";uses:="com.liferay.port
 al.kernel.security.auto.login",osgi.service;objectClass:List<String>=
 "com.liferay.portal.kernel.security.sso.SSO";uses:="com.liferay.porta
 l.kernel.security.sso",osgi.service;objectClass:List<String>="com.lif
 eray.portal.upgrade.registry.UpgradeStepRegistrator";uses:="com.lifer
 ay.portal.upgrade.registry",osgi.service;objectClass:List<String>="co
 m.liferay.saml.runtime.configuration.SamlProviderConfigurationHelper"
 ;uses:="com.liferay.saml.runtime.configuration",osgi.service;objectCl
 ass:List<String>="javax.servlet.Filter";uses:="javax.servlet"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.CompanyLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.service.UserLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.util.Html)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.util.Portal)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util
 .PrefsProps)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.util.Props)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.saml.helper.SamlHttpRequestHelper)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.saml
 .persistence.service.SamlIdpSpConnectionLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.saml.persistence.s
 ervice.SamlIdpSsoSessionLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.saml.persistence.service.SamlSpAut
 hRequestLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.saml.persistence.service.SamlSpIdpConnectionLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.saml.persistence.service.SamlSpMessageLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.saml.persistenc
 e.service.SamlSpSessionLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.saml.runtime.configuration.SamlProv
 iderConfigurationHelper)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.saml.runtime.servlet.profile.SingleLogoutProfil
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 saml.runtime.servlet.profile.WebSsoProfile)";effective:=active,osgi.s
 ervice;filter:="(objectClass=org.osgi.service.cm.ConfigurationAdmin)"
 ;effective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contrac
 t=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))"
 ,osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=Ja
 vaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(versi
 on=1.8))"
Service-Component: OSGI-INF/com.liferay.saml.internal.auto.login.SamlS
 pAutoLogin.xml,OSGI-INF/com.liferay.saml.internal.auto.login.WebSsoAu
 toLogin.xml,OSGI-INF/com.liferay.saml.internal.configuration.SamlProv
 iderConfigurationHelperImpl.xml,OSGI-INF/com.liferay.saml.internal.ev
 ents.SamlSpSessionDestroyAction.xml,OSGI-INF/com.liferay.saml.interna
 l.scheduler.SamlIdpSsoSessionSchedulerJobConfiguration.xml,OSGI-INF/c
 om.liferay.saml.internal.scheduler.SamlMetadataSchedulerJobConfigurat
 ion.xml,OSGI-INF/com.liferay.saml.internal.scheduler.SamlSpAuthReques
 tSchedulerJobConfiguration.xml,OSGI-INF/com.liferay.saml.internal.sch
 eduler.SamlSpMessageSchedulerJobConfiguration.xml,OSGI-INF/com.lifera
 y.saml.internal.security.sso.SSOImpl.xml,OSGI-INF/com.liferay.saml.in
 ternal.servlet.filter.AssertionConsumerServiceSamlPortalFilter.xml,OS
 GI-INF/com.liferay.saml.internal.servlet.filter.IdpSsoSamlPortalFilte
 r.xml,OSGI-INF/com.liferay.saml.internal.servlet.filter.SameSiteLaxCo
 okiesSamlPortalFilter.xml,OSGI-INF/com.liferay.saml.internal.servlet.
 filter.SpSessionTerminationSamlPortalFilter.xml,OSGI-INF/com.liferay.
 saml.internal.servlet.filter.SpSsoSamlPortalFilter.xml,OSGI-INF/com.l
 iferay.saml.internal.upgrade.registry.SamlImplUpgradeStepRegistrator.
 xml
Tool: Bnd-5.3.0.202102221516

